rte_gpu_comm_list(3)

NAME
rte_gpu_comm_list

SYNOPSIS

#include <rte_gpudev.h>

  Data Fields

uint16_t dev_id
struct rte_mbuf ** mbufs
struct rte_gpu_comm_pkt * pkt_list
uint32_t num_pkts
enum rte_gpu_comm_list_status * status_h
enum rte_gpu_comm_list_status * status_d

Detailed Description

Communication list holding a number of lists of packets each having a status flag.

Definition at line 120 of file rte_gpudev.h.

Field Documentation

  uint16_t dev_id
Device that will use the communication list.

Definition at line 122 of file rte_gpudev.h.

  struct rte_mbuf** mbufs
List of mbufs populated by the CPU with a set of mbufs.

Definition at line 124 of file rte_gpudev.h.

  struct rte_gpu_comm_pkt* pkt_list
List of packets populated by the CPU with a set of mbufs info.

Definition at line 126 of file rte_gpudev.h.

  uint32_t num_pkts
Number of packets in the list.

Definition at line 128 of file rte_gpudev.h.

  enum rte_gpu_comm_list_status* status_h
Status of the list. CPU pointer.

Definition at line 130 of file rte_gpudev.h.

  enum rte_gpu_comm_list_status* status_d
Status of the list. GPU pointer.

Definition at line 132 of file rte_gpudev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.